#############################################################
# --------------------------------------------------------- #
#|#########################################################|#
#|#                                                       #|#
#|# Please sort sections in alphabetical order of the     #|#
#|# [codename]                                            #|#
#|#                                                       #|#
#|#########################################################|#
# --------------------------------------------------------- #
#############################################################

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - a37:
##*     model  : Oppo A37fw (2016)

# Oppo A37 for LineageOS 17.1
[a37-los]
author = "diamant3"
kernelstring = "NetHunter Kernel Oppo A37fw"
arch = arm64
block = /dev/block/bootdevice/by-name/boot
#* Note: when using "anykernel" flasher, use commas to separate device names
devicenames = a37,a37f,a37fw
flasher = anykernel
modules = 1
slot_device = 0

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - a5ulte:
##*     model  : Samsung Galaxy A5 (2015)

# Galaxy A5 for Cyanogenmod
[a5ulte]
author = "DeadSquirrel01"
kernelstring = "NetHunter Kernel CM"
devicenames = a5ulte a5ultexx SM-A500FU

# Galaxy A5 for TouchWiz (Europe)
[a5ulte-touchwiz]
author = "DeadSquirrel01"
kernelstring = "NetHunter Kernel TW"
devicenames = a5ulte a5ultexx SM-A500FU

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - a5xelte:
##*     model  : Samsung Galaxy A5 (2016)

# Galaxy A5 (2016) for Touchwiz
[a5xelte]
author = "re4son"
devicenames = a5xelte a5xeltexx SM-A510F

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - a7xelte:
##*     model  : Samsung Galaxy A7 (2016)

# Galaxy A7 for LineageOS 18.1
[a7xelte]
author = "yesimxev"
kernelstring = "NetHunter Kernel for the Samsung Galaxy A7 (2016) LOS18.1"
#* Note: when using "anykernel" flasher, use commas to separate device names
devicenames = a7xelte
block = /dev/block/platform/13540000.dwmmc0/by-name/BOOT
flasher = anykernel
modules = 0

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - ailsa-ii:
##*     model  : ZTE Axon 7

# ZTE Axon 7
[ailsa-ii]
author = "jcadduono"
arch = arm64
devicenames = ailsa_ii ailsa-ii A2017 A2017U A2017G P996A01 P996A03 P996A04


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - angler:
##*     model  : Nexus 6P
##*     note   : ""
##*     images :
##*       - name   : Nexus 6P (Oreo)
##*         id     : angler
##*         os     : oreo
##*         status : Stable
##*         rootfs : full
##*         doco   : "https://forum.xda-developers.com/t/rom-official-kali-nethunter-for-the-huawei-nexus-6p-android-8-1.4080807/"
##*         note   : >-
##*                  Nexmon support<br>
##*                  **Our preferred low end device**<br>
##*       - name   : Nexus 6P (LineageOS 17.1)
##*         id     : angler-los
##*         os     : ten
##*         status : Latest
##*         rootfs : full
##*         doco   : "https://forum.xda-developers.com/t/rom-official-kali-nethunter-for-the-huawei-nexus-6p-los17-1.4079087/"
##*         note   : >-
##*                  Nexmon support<br>
##*                  **Our preferred low end device**<br>
##*                  Warning: Android Ten is still experimental

# Nexus 6P
[angler]
author = "Binkybear & jcadduono & re4son & yesimxev"
kernelstring = "NetHunter kernel for Nexus 6P"
arch = arm64
devicenames = angler
block = /dev/block/platform/soc.0/f9824900.sdhci/by-name/boot

# Nexus 6P for LOS 17.1 and Pixel Experience 10
[angler-los]
author = "Re4son & yesimxev"
kernelstring = "NetHunter kernel for Nexus 6P"
arch = arm64
flasher = anykernel
modules = 1
block = /dev/block/bootdevice/by-name/boot
slot_device = 0
#* Note: when using "anykernel" flasher, use commas to separate device names
devicenames = angler


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - armani:
##*     model  : Redmi 1S

# Redmi 1s
[armani]
kernelstring = "NetHunter Kernel For Armani"
arch = arm

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - alioth:
##*     model  : Xiaomi Pocophone F3
##*     note   : ""

# Xiaomi Poco F3 for LinageOS with KernelSU
[alioth-los-ksu]
author = "Hani K."
version = "1.0"
kernelstring = "Bifr0st"
arch = arm64
block = /dev/block/bootdevice/by-name/boot
devicenames = alioth aliothin

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - beryllium:
##*     model  : Xiaomi Pocophone F1
##*     note   : ""
##*     images :
##*       - name   : Xiaomi Pocophone F1 (Eleven)
##*         id     : beryllium
##*         os     : eleven
##*         status : Stable
##*         rootfs : full

# Pocophone F1
[beryllium]
author = "Hilledkinged, yesimxev"
arch = arm64
devicenames = beryllium

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - bullhead:
##*     model  : Nexus 5X
##*     note   : ""
##*     images :
##*       - name   : Nexus 5X (Oreo)
##*         id     : bullhead
##*         os     : oreo
##*         status : Stable
##*         rootfs : full

# Nexus 5X
[bullhead]
author = "Binkybear (6.0-7.0) & re4son (8.1+)"
arch = arm64
devicenames = bullhead
block = /dev/block/platform/soc.0/f9824900.sdhci/by-name/boot


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - cancro:
##*     model  : Xiaomi Mi 3 / Mi 4

# Xiaomi Mi 3, Mi 4 ("cancro")
[cancrocm]
author = "binkybear"
devicenames = cancro


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - cedric:
##*     model  : Motorola Moto G5

# Motorola Moto G5
[cedric-nougat]
author = "rajeshdubey293"
kernelstring = "NetHunter kernel for Motorola Moto G5"
arch = armhf
devicenames = cedric
block = /dev/block/bootdevice/by-name/boot

# Motorola Moto G5 (Oreo)
[cedric]
author = "rajeshdubey293"
kernelstring = "NetHunter kernel for Motorola Moto G5"
arch = arm64
devicenames = cedric
block = /dev/block/bootdevice/by-name/boot

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - davinci:
##*     model  : Xiaomi Mi 9T
##*     note   : ""
##*     images :
##*       - name   : Xiaomi Mi 9T MIUI 11 (Ten)
##*         id     : davinci-miui
##*         os     : ten
##*         status : Stable
##*         rootfs : full
##*         note   : >-
##*                  **Our preferred mid-range device**<br>
##*                  Important: Install Disable_Dm-Verity_ForceEncrypt<br>
##*                  Important: Update NetHunter app after flashing

# Xiaomi Mi 9T Miui
[davinci-miui]
author = "re4son"
arch = arm64
flasher = anykernel
modules = 1
block = /dev/block/bootdevice/by-name/boot
slot_device = 0
#* Note: when using "anykernel" flasher, use commas to separate device names
devicenames = davinci,davinci-user,Redmi k20,davinciin,Mi 9T
#* If the installer cannot identify the resolution automatically, specify it here
resolution = 1080x2340


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - dogo:
##*     model  : Sony Xperia ZR

# Sony Xperia ZR for Cyanogenmod
[dogo]
author = "Daedroza"
devicenames = dogo


#############################################################
#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - dragon:
##*     model  : Google Pixel C

# Google Pixel C
[dragon]
author = "jcadduono"
arch = arm64
devicenames = dragon ryu


#############################################################
#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - blueline:
##*     model  : Google Pixel 3

# Google Pixel 3
[blueline]
author = "Aliyan"
kernelstring = "Alynx NetHunter Kernel"
arch = arm64
devicenames = blueline

#############################################################
#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - blueline:
##*     model  : Google Pixel 3

# Google Pixel 3
[blueline]
author = "Aliyan"
kernelstring = "Alynx NetHunter Kernel"
version = "1.2"
arch = arm64
devicenames = blueline


#############################################################
#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - crosshatch:
##*     model  : Google Pixel 3 XL

# Google Pixel 3 XL
[crosshatch]
author = "Aliyan"
kernelstring = "Alynx NetHunter Kernel"
arch = arm64
devicenames = crosshatch


#############################################################
#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - crosshatch:
##*     model  : Google Pixel 3 XL

# Google Pixel 3 XL
[crosshatch]
author = "Aliyan"
kernelstring = "Alynx NetHunter Kernel"
version = "1.2"
arch = arm64
devicenames = crosshatch


#############################################################
#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - sunfish:
##*     model  : Google Pixel 4A

# Google Pixel 4A
[sunfish]
author = "Aliyan"
kernelstring = "Alynx NetHunter Kernel"
arch = arm64
devicenames = sunfish

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - surya:
##*     model  : Xiaomi Poco X3 NFC

# Xiaomi Poco X3 NFC
[surya-los]
author= "r0ttenbeef"
kernelstring = "R0ttenbeef NetHunter Kernel"
version = "1.2"
arch = arm64
devicenames = surya

#############################################################
#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - bramble:
##*     model  : Google Pixel 4A 5G

# Google Pixel 4A 5G
[bramble]
author = "Aliyan"
kernelstring = "Alynx NetHunter Pixel4A 5G Bramble"
arch = arm64
devicenames = bramble, Pixel 4a (5G)
block = /dev/block/bootdevice/by-name/boot
is_slot_device = 1
modules = 0


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - drg:
##*     model  : Nokia 6.1 Plus
##*     note   : ""
##*     images :
##*       - name   : Nokia 6.1 Plus (LineageOS 20)
##*         id     : drg
##*         os     : thirteen
##*         status : Stable
##*         rootfs : full
##*         doco   : "https://forum.xda-developers.com/t/rom-official-kali-nethunter-for-the-nokia-6-1-plus-los18-1.4399273/"

# Nokia 6.1 Plus for LineageOS 18.1 & 20
[drg]
author = "yesimxev"
arch = arm64
#* Note: when using "anykernel" flasher, use commas to separate device names
devicenames = DRG,DRG_sprout
block = /dev/block/bootdevice/by-name/boot
flasher = anykernel
modules = 1
slot_device = 1


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - es2:
##*     model  : Nokia 3.1
##*     note   : ""
##*     images :
##*       - name   : Nokia 3.1 (Pie)
##*         id     : es2
##*         os     : pie
##*         status : Stable
##*         rootfs : minimal
##*         doco   : "https://forum.xda-developers.com/t/rom-official-kali-nethunter-for-the-nokia-3-1-android-9.4157681/"
##*         note   : "Important: Built with minimal rootfs. Full is not supported."

# Nokia 3.1 for Stock 9.0
[es2]
author = "yesimxev"
arch = arm64
#* Note: when using "anykernel" flasher, use commas to separate device names
devicenames = ES2,ES2_sprout,fih_mt6750_64
block = /dev/block/platform/mtk-msdc.0/11230000.msdc0/by-name/boot
flasher = anykernel
modules = 1
slot_device = 1


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - flo:
##*     model  : Nexus 7 [2013]
##*     note   : ""

# Nexus 7 (2013)
[flo]
author = "Binkybear"
devicenames = flo deb
block = /dev/block/platform/msm_sdcc.1/by-name/boot

# Nexus 7 (2013) for Cyanogenmod
[flocm]
author = "jcadduono"
devicenames = flo deb
block = /dev/block/platform/msm_sdcc.1/by-name/boot


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - flounder:
##*     model  : Nexus 9
##*     note   : ""
##*     images :
##*       - name   : Nexus 9 (Nougat)
##*         id     : flounder
##*         os     : nougat
##*         status : Stable
##*         rootfs : full

# Nexus 9
[flounder]
author = "Binkybear (5.1-6.0) & SecurityAddicted (7.0+)"
arch = arm64
devicenames = flounder
block = /dev/block/platform/sdhci-tegra.3/by-name/LNX


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - gemini4g:
##*     model  : Gemini PDA
##*     note   : ""
##*     images :
##*       - name   : Gemini PDA (Nougat)
##*         id     : gemini4g-p1
##*         os     : nougat
##*         status : Stable
##*         rootfs : full
##*         doco   : "https://www.kali.org/docs/nethunter/installing-nethunter-on-the-gemini-pda/"

# Planet Computers Gemini PDA 4G - Partition #1
[gemini4g-p1]
author = "Re4son"
arch = arm64
devicenames = geminipda
block = /dev/block/platform/mtk-msdc.0/11230000.msdc0/by-name/boot

# Planet Computers Gemini PDA 4G - Partition #2
[gemini4g-p2]
author = "Re4son"
arch = arm64
devicenames = geminipda
block = /dev/block/platform/mtk-msdc.0/11230000.msdc0/by-name/boot2

# Planet Computers Gemini PDA 4G - Partition #3
[gemini4g-p3]
author = "Re4son"
arch = arm64
devicenames = geminipda
block = /dev/block/platform/mtk-msdc.0/11230000.msdc0/by-name/boot3

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - gracelte:
##*     model  : Samsung Galaxy Note 7

# Galaxy Note 7 for Grace UI (International Exynos)
[gracelte]
author = "jcadduono"
arch = arm64
devicenames = gracelte graceltexx

# Galaxy Note 7 for Grace UI (Korean Exynos)
[graceltekor]
author = "jcadduono"
arch = arm64
devicenames = gracelte graceltekor


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - gts4llte:
##*     model  : Samsung Galaxy Tab S4 LTE
##*     note   : ""
##*     images :
##*       - name   : Samsung Galaxy Tab S4 LTE (Oreo)
##*         id     : gts4llte
##*         os     : oreo
##*         status : Stable
##*         rootfs : full
##*         note   : "**Our preferred tablet**"

# Galaxy Tab S4 LTE
[gts4llte]
author = "Re4son"
arch = arm64
#* The LTE device currently uses the WiFi version of TWRP so we have to be flexible for a while
devicenames = gts4lwifi gts4lwifixx gts4llte gts4lltexx SM-T830 SM-T835


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - gts4lwifi:
##*     model  : Samsung Galaxy Tab S4 WiFi
##*     note   : ""
##*     images :
##*       - name   : Samsung Galaxy Tab S4 WiFi (Oreo)
##*         id     : gts4lwifi
##*         os     : oreo
##*         status : Stable
##*         rootfs : full

# Galaxy Tab S4 WiFi
[gts4lwifi]
author = "Re4son"
arch = arm64
devicenames = gts4lwifi gts4lwifixx


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - grouper:
##*     model  : Nexus 7 (2012)

# Nexus 7 (2012)
[grouper]
author = "Binkybear"
devicenames = grouper tilapia
block = /dev/block/mmcblk0p2


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - h830:
##*     model  : LG G5 T-Mobile

# LG G5 (T-Mobile)
[h830]
author = "jcadduono"
arch = arm64
devicenames = h830 LG-H830


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - h850:
##*     model  : LG G5 International

# LG G5 (International)
[h850]
author = "jcadduono"
arch = arm64
devicenames = h850 LG-H850


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - h918:
##*     model  : LG V20 T-Online
##*     note   : ""

# LG V20 (T-Mobile)
[h918]
author = "jcadduono"
arch = arm64
devicenames = h918 LG-H918


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - h990:
##*     model  : LG V20 International
##*     note   : ""
##*     images :
##*       - name   : LG V20 International (LineageOS 19.1)
##*         id     : h990
##*         os     : twelve
##*         status : Stable
##*         rootfs : full

# LG V20 (International)
[h990]
author = "re4son & yesimxev"
arch = arm64
devicenames = elsa LG-H990

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - hammerhead:
##*     model  : Nexus 5
##*     note   : ""
##*     images :
##*       - name   : Nexus 5 (Nougat)
##*         id     : hammerhead
##*         os     : nougat
##*         status : Latest
##*         rootfs : full
##*         note   : "Nexmon support"

# Nexus 5
[hammerhead]
author = "Binkybear (5.1-6.0) & Re4son (7.0+)"
devicenames = hammerhead
block = /dev/block/platform/msm_sdcc.1/by-name/boot

# Nexus 5 - CyanogenMod 14.1 CAF (now LineageOS 14.1 CAF)
[hammerheadcafcm]
author = "chrisk44"
devicenames = hammerheadcaf
block = /dev/block/platform/msm_sdcc.1/by-name/boot


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - herolte:
##*     model  : Samsung Galaxy S7

# Galaxy S7 for TouchWiz (International & Canadian Exynos) & OneUI 1.0
[herolte]
author = "jcadduono (6.0) & Svirusx (8.0) & Svirusx (9.0)"
arch = arm64
devicenames = herolte heroltexx heroltecan

# Galaxy S7 for TouchWiz (Korean Exynos)
[heroltekor]
author = "jcadduono"
arch = arm64
devicenames = herolte heroltekor

# Galaxy S7 for LineageOS 14.1
[herolte-cm]
author = "Svirusx"
arch = arm64
devicenames = herolte heroltexx

# Galaxy S7 for LineageOS 16.0
[herolte-cm]
author = "Svirusx"
arch = arm64
devicenames = herolte heroltexx


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - hero2lte:
##*     model  : Samsung Galaxy S7 Edge

# Galaxy S7 edge for TouchWiz (International & Canadian Exynos) & OneUI 1.0
[hero2lte]
author = "jcadduono (6.0) & Svirusx (8.0) & Svirusx (9.0)"
arch = arm64
devicenames = hero2lte hero2ltexx hero2ltecan

# Galaxy S7 edge for TouchWiz (Korean Exynos)
[hero2ltekor]
author = "jcadduono"
arch = arm64
devicenames = hero2lte hero2ltekor

# Galaxy S7 edge for LineageOS 14.1
[hero2lte-cm]
author = "Svirusx"
arch = arm64
devicenames = hero2lte hero2ltexx

# Galaxy S7 for LineageOS 16.0
[hero2lte-cm]
author = "Svirusx"
arch = arm64
devicenames = hero2lte hero2ltexx

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - r8q:
##*     model  : Samsung Galaxy S20 FE 5G (Snapdragon)

# Samsung Galaxy S20 FE 5G (Snapdragon) for OneUI 2.5
[r8q]
author = "Svirusx (10.0)"
arch = arm64
devicenames = r8q

# Samsung Galaxy S20 FE 5G (Snapdragon) for OneUI 3.0
[r8q]
author = "Svirusx (11.0)"
arch = arm64
devicenames = r8q

# Samsung Galaxy S20 FE 5G (Snapdragon) for OneUI 4.0
[r8q]
author = "Svirusx (12.0)"
arch = arm64
devicenames = r8q

# Samsung Galaxy S20 FE 5G (Snapdragon) for OneUI 5.0
[r8q]
author = "Svirusx (13.0)"
arch = arm64
devicenames = r8q

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - hlte:
##*     model  : Samsung Galaxy Note 3

# Galaxy Note 3 for Cyanogenmod (Canada, Mexico, and T-Mobile)
[hltecan]
author = "jcadduono"
kernelstring = "NetHunter idleKernel can"
devicenames = hltexx hltecan hltetmo SM-N900W8 SM-N900T

# Galaxy Note 3 for TouchWiz (Canada, Mexico, and T-Mobile)
[hltecan-touchwiz]
author = "jcadduono"
kernelstring = "NetHunter idleKernel can"
devicenames = hltexx hltecan hltetmo SM-N900W8 SM-N900T

# Galaxy Note 3 for TouchWiz (Japanese NTT Docomo)
[hltedcm-touchwiz]
author = "jcadduono"
kernelstring = "NetHunter idleKernel dcm"
devicenames = hltexx hltedcm SC-01F

# Galaxy Note 3 for Cyanogenmod (International / European)
[hlteeur]
author = "jcadduono"
kernelstring = "NetHunter idleKernel eur"
devicenames = hltexx hlte hlteeur SM-N9005

# Galaxy Note 3 for TouchWiz (International / European)
[hlteeur-touchwiz]
author = "jcadduono"
kernelstring = "NetHunter idleKernel eur"
devicenames = hltexx hlte hlteeur SM-N9005

# Galaxy Note 3 for LineageOS (International / European)
[hlteeur-cm]
author = "4E656F"
arch = armhf
devicenames = hltexx hlte hlteeur SM-N9005

# Galaxy Note 3 for TouchWiz (Japanese Au by KDDI)
[hltekdi-touchwiz]
author = "jcadduono"
kernelstring = "NetHunter idleKernel kdi"
devicenames = hltexx hltekdi SCL2

# Galaxy Note 3 for Cyanogenmod (Korean)
[hltekor]
author = "jcadduono"
kernelstring = "NetHunter idleKernel kor"
devicenames = hltexx hltekor hltektt hltelgt hlteskt SM-N900K SM-N900L SM-N900S

# Galaxy Note 3 for TouchWiz (Korean)
[hltekor-touchwiz]
author = "jcadduono"
kernelstring = "NetHunter idleKernel kor"
devicenames = hltexx hltekor hltektt hltelgt hlteskt SM-N900K SM-N900L SM-N900S

# Galaxy Note 3 for Cyanogenmod (Sprint)
[hltespr]
author = "jcadduono"
kernelstring = "NetHunter idleKernel spr"
devicenames = hltexx hltespr SM-N900P

# Galaxy Note 3 for TouchWiz (US Sprint)
[hltespr-touchwiz]
author = "jcadduono"
kernelstring = "NetHunter idleKernel spr"
devicenames = hltexx hltespr SM-N900P

# Galaxy Note 3 for TouchWiz (US Verizon)
[hltevzw-touchwiz]
author = "jcadduono"
kernelstring = "NetHunter idleKernel vzw"
devicenames = hltexx hltevzw SM-N900V

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - honami:
##*     model  : Sony Xperia Z1
##*     note   : ""
##*     images :
##*       - name   : Sony Xperia Z1 (Pie)
##*         id     : honami
##*         os     : pie
##*         status : Latest
##*         rootfs : full

# Sony Xperia Z1 for Cyanogenmod
[honami]
author = "Re4son"
devicenames = honami


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - htc-pmewl:
##*     model  : HTC 10

# HTC 10
[htc-pmewl]
author = "S1CAR1US(B.Arnold)"
arch = arm64
devicenames = htc_pmewl htc-pmewl HTC 10


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - ido:
##*     model  : Xiaomi Redmi 3 / 3 Pro

# Xiaomi Redmi 3/3Pro for LineageOS
[ido]
author = "ariafan"
arch = arm64
devicenames = ido
block = /dev/block/bootdevice/by-name/boot


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - j7y17lte:
##*     model  : Galaxy J7Pro for One UI Roms

# Galaxy J7Pro for One UI Roms
[j7y17lte]
author = "S133PY"
arch = arm64
devicenames = j7y17lte j7pro j730x


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - jalebi:
##*     model  : Yu Yunique

# Yu Yunique
[jalebi]
author = "Satyabrat Sahoo"
kernelstring = "NetHunter Kernel For Yu Yunique"
arch = armhf
block = /dev/block/bootdevice/by-name/boot
devicenames = jalebi YUNIQUE YU4711


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - jflte:
##*     model  : Samsung Galaxy S4

# Galaxy S4 for Cyanogenmod (International LTE, GSM)
[jfltexx]
author = "semsevens (13.0) & fasheng (14.1)"
devicenames = jflte jfltexx i9505 GT-I9505 jgedlte i9505g GT-I9505G


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - jiayus3a:
##*     model  : Jiayu S3 Advanced

# Jiayu S3 Advanced
[jiayus3a]
author = "DKingCN"
kernelstring = "NetHunter kernel for JIAYU S3 Advanced"
arch = arm64
block = /dev/block/platform/mtk-msdc.0/by-name/boot
devicenames = s3_h560 s3


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - kiwi:
##*     model  : Huawei Honor 5x

# Huawei Honor 5x
[kiwi]
author = "DeadSquirrel01"
devicenames = kiwi

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - klte:
##*     model  : Samsung Galaxy S5

# Galaxy S5 for LineageOS (GSM)
[klte]
author = "jcadduono"
devicenames = klte kltexx klteacg klteatt kltecan kltelra kltetmo klteub klteusc kltevzw SM-G900F SM-G900R7 SM-G900A SM-G900W8 SM-G900R6 SM-G900T SM-G900M SM-G900R4 SM-G900V

# Galaxy S5 for LineageOS (China)
[kltechn]
author = "jcadduono"
devicenames = klte kltexx kltechn kltezn kltezm SM-G9006V SM-G9008V

# Galaxy S5 for LineageOS (China Duos)
[kltechnduo]
author = "jcadduono"
devicenames = klte kltexx kltechnduo klteduoszm klteduoszn klteduosctc SM-G9006W SM-G9008W SM-G9009W

# Galaxy S5 for LineageOS (GSM Duos)
[klteduos]
author = "jcadduono"
devicenames = klte kltexx klteduos klteduosxx klteduosub SM-G900FD SM-G900MD

# Galaxy S5 for LineageOS (Japan)
[kltekdi]
author = "jcadduono"
devicenames = klte kltexx kltekdi kltedcm SCL23 SC-04F

# Galaxy S5 for LineageOS (Korea)
[kltekor]
author = "jcadduono"
devicenames = klte kltexx kltektt kltelgt klteskt SM-G900K SM-G900L SM-G900S

# Galaxy S5 for LineageOS (US Sprint, UK Vodafone, and Oceanic)
[kltespr]
author = "jcadduono"
devicenames = klte kltexx kltespr kltedv SM-G900P SM-G900I

# Galaxy S5 for TouchWiz (GSM)
[klte-touchwiz]
author = "jcadduono"
devicenames = klte kltexx kltecan kltetmo klteub klteatt SM-G900F SM-G900W8 SM-G900T SM-G900M SM-G900A

# Galaxy S5 for TouchWiz (LTE Duos)
[klteduos-touchwiz]
author = "jcadduono"
devicenames = klte kltexx klteduos SM-G900FD

# Galaxy S5 for TouchWiz (Japan)
[kltekdi-touchwiz]
author = "jcadduono"
devicenames = klte kltexx kltekdi kltedcm SCL23 SC-04F

# Galaxy S5 for TouchWiz (Korea)
[klteskt-touchwiz]
author = "jcadduono"
devicenames = klte kltexx kltektt kltelgt klteskt SM-G900K SM-G900L SM-G900S

# Galaxy S5 for TouchWiz (US Sprint, UK Vodafone, and Oceanic)
[kltespr-touchwiz]
author = "jcadduono"
devicenames = klte kltexx kltespr kltedv SM-G900P SM-G900I

# Galaxy S5 for TouchWiz (US Cellular)
[klteusc-touchwiz]
author = "jcadduono"
devicenames = klte kltexx klteusc SM-G900R4

# Galaxy S5 for TouchWiz (US Verizon)
[kltevzw-touchwiz]
author = "jcadduono"
devicenames = klte kltexx kltevzw SM-G900V


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - kminilte:
##*     model  : Samsung Galaxy S5 Mini

# Galaxy S5 Mini for LineageOS
[kminilte]
author = "yesimxev"
version= "1.0"
kernelstring = "NetHunter Kernel for Samsung Galaxy S5 Mini"
block=/dev/block/platform/dw_mmc.0/by-name/BOOT
arch = armhf
devicenames = kminilte s5mini

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - laurel-sprout:
##*     model  : Xiaomi Mi A3
##*     note   : ""
##*     images :
##*       - name   : Xiaomi Mi A3 (LineageOS 18.1, 19.1, 20)
##*         id     : laurel-sprout
##*         os     : thirteen
##*         status : Stable
##*         rootfs : full
##*         doco   : "https://forum.xda-developers.com/t/rom-official-kali-nethunter-for-the-xiaomi-mi-a3-linageos18-1.4288889/"

# Xiaomi Mi A3 for LineageOS 18.1, 19.1, 20
[laurel-sprout]
author = "yesimxev"
kernelstring = "NetHunter kernel for Lineage 18.1, 19.1, 20"
arch = arm64
block = /dev/block/bootdevice/by-name/boot
#* Note: when using "anykernel" flasher, use commas to separate device names
devicenames = laurel_sprout,lineage_laurel_sprout,laurel-sprout,lineage-laurel-sprout
flasher = anykernel
modules = 1
slot_device = 1
#* If the installer cannot identify the resolution automatically, specify it here
resolution = 720x1440

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - mako:
##*     model  : Nexus 4

# Nexus 4
[mako]
author = "Binkybear"
devicenames = mako
block = /dev/block/platform/msm_sdcc.1/by-name/boot

# Nexus 4 for Cyanogenmod
[makocm]
author = "jcadduono"
devicenames = mako occam
block = /dev/block/platform/msm_sdcc.1/by-name/boot


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - manning:
##*     model  : Lenovo K8 Note

# Lenovo K8 Note
[manning]
author = "Byom Dwivedi"
kernelstring = "NetHunter Kernel"
arch = arm64
block = /dev/block/platform/mtk-msdc.0/by-name/boot
devicenames = manning


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - manta:
##*     model  : Nexus 10

# Nexus 10
[manta]
author = "Binkybear & jmmmbnnn"
devicenames = manta
block = /dev/block/platform/dw_mmc.0/by-name/boot


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - markw:
##*     model  : Xiaomi Redmi 4 Prime

# Xiaomi Redmi 4 Prime for LineageOS 15.1/16.0
[markw]
author = "fasheng"
devicenames = markw
kernelstring = "NetHunter Kernel For Xiaomi Redmi 4 Prime"
arch = arm64
block = /dev/block/bootdevice/by-name/boot


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - mocha:
##*     model  : Xiaomi MiPad 1

# MiPad1
[mocha]
author = "RahulTheVirus!"
devicenames = mocha


#############################################################
#############################################################
##* - on7xlte:
##*     model  : Galaxy J7Prime for One UI Roms

# Galaxy J7 Prime for oneui Roms
[on7xlte]
author = "S133PY"
arch = arm64
devicenames = j7prime SM-G610X


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - onem7gpe:
##*     model  : HTC One M7

# HTC One M7 GPE
[onem7gpe]
author = "Lavanoid"
kernelstring = "Kali M7 GPE"
arch = armhf
devicenames = m7
block = /dev/block/platform/msm_sdcc.1/by-name/boot

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - onem8gpe:
##*     model  : HTC One M8

# HTC One M8 GPE
[onem8gpe]
author = "Lavanoid"
kernelstring = "Kali M8 GPE"
arch = armhf
devicenames = htc_m8 m8
block = /dev/block/platform/msm_sdcc.1/by-name/boot


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - oneplus1:
##*     model  : OnePus One
##*     note   : ""
##*     images :
##*       - name   : OnePlus One (LineageOS 18.1)
##*         id     : oneplus1
##*         os     : eleven
##*         status : Stable
##*         rootfs : full
##*         doco   : "https://forum.xda-developers.com/t/rom-official-kali-nethunter-for-the-oneplus-one-lineageos-18-1-r.4303579/"

# OnePlusOne
[oneplus1]
author = "binkybear & yesimxev"
devicenames = bacon A0001 one OnePlus
block = /dev/block/platform/msm_sdcc.1/by-name/boot
arch = armhf

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - oneplus2:
##*     model  : OnePus 2
##*     note   : ""
##*     images :
##*       - name   : OnePlus 2 (LineageOS 16.0)
##*         id     : oneplus2cm
##*         os     : pie
##*         status : Latest
##*         rootfs : full

# OnePlusTwo for Cyanogenmod
[oneplus2cm]
author = "Binkybear (13.0) & Re4son (14.1+)"
arch = arm64
devicenames = A2001 A2003 A2005 OnePlus2 oneplus2
block=/dev/block/bootdevice/by-name/boot

# OnePlusTwo
[oneplus2oos]
author = "Binkybear"
arch = arm64
devicenames = A2001 A2003 A2005 OnePlus2 oneplus2
block=/dev/block/bootdevice/by-name/boot


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - oneplus3:
##*     model  : OnePlus 3 / 3T
##*     note   : ""
##*     images :
##*       - name   : OnePlus 3 / 3T (Ten)
##*         id     : oneplus3-any
##*         os     : ten
##*         status : Latest
##*         rootfs : full
##*         note   : >-
##*                  Important: Flash boot-patched-9.0.6-OP3T.img to disable DM-Verity, and<br>
##*                  flash Force_Encryption_Disabler_For_OOS_Pie_v1.zip, format data<br>
##*                  before rooting<br>
##*                  Important: Update NetHunter app after flashing<br>
##*                  Warning: Android Ten is still experimental

# OnePlus 3 & OnePlus 3T
[oneplus3-any]
author = "re4son & yesimxev"
arch = arm64
flasher = anykernel
modules = 0
block = /dev/block/bootdevice/by-name/boot
slot_device = 0
#* Note: when using "anykernel" flasher, use commas to separate device names
devicenames = OnePlus3,oneplus3,OnePlus3T,oneplus3T

# OnePlus 3 & OnePlus 3T
[oneplus3]
author = "Binkybear (6.0) & jcadduono (7.0+) & Re4son (9.0)"
arch = arm64
devicenames = OnePlus3 oneplus3 OnePlus3T oneplus3T

# OnePlus3 LOS
[oneplus3-cm]
author = "zanezam"
arch = arm64
devicenames = OnePlus3 oneplus3 OnePlus3T oneplus3T

# OnePlus3T LOS
[oneplus3T-cm]
author = "zanezam"
arch = arm64
devicenames = OnePlus3 oneplus3 OnePlus3T oneplus3T

# OnePlus3 OOS
[oneplus3-oos]
author = "zanezam"
arch = arm64
devicenames = OnePlus3 oneplus3 OnePlus3T oneplus3T

# OnePlus3T OOS
[oneplus3T-oos]
author = "zanezam"
arch = arm64
devicenames = OnePlus3 oneplus3 OnePlus3T oneplus3T

# OnePlus3T LineageOS 15.1
[oneplus3T-los]
author = "flypatriot"
arch = arm64
devicenames = OnePlus3 oneplus3 OnePlus3T oneplus3T


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - oneplus5:
##*     model  : OnePlus 5 / 5T

# OnePlus5 OxygenOS
[oneplus5-oos]
author = "binkybear"
arch = arm64
devicenames = OnePlus5 oneplus5 OnePlus 5 cheeseburger

# OnePlus5 LineageOS
[oneplus5-cm]
author = "binkybear"
arch = arm64
devicenames = OnePlus5 oneplus5 OnePlus 5 cheeseburger

# OnePlus5/T LineageOS
[oneplus5-los]
author = "seppzer0"
version = "v0.3.2"
kernelstring = "NetHunter Kernel for OnePlus 5/T by @seppzer0"
arch = arm64
devicenames = dumpling cheeseburger

# OnePlus5/T ParanoidAndroid
[oneplus5-pa]
author = "seppzer0"
version = "v0.3.2"
kernelstring = "NetHunter Kernel for OnePlus 5/T by @seppzer0"
arch = arm64
devicenames = dumpling cheeseburger

# OnePlus5/T LineageOS w/ KernelSU
[oneplus5-los-ksu]
author = "seppzer0"
version = "v0.3.2"
kernelstring = "NetHunter Kernel for OnePlus 5/T by @seppzer0"
arch = arm64
devicenames = dumpling cheeseburger

# OnePlus5/T ParanoidAndroid w/ KernelSU
[oneplus5-pa-ksu]
author = "seppzer0"
version = "v0.3.2"
kernelstring = "NetHunter Kernel for OnePlus 5/T by @seppzer0"
arch = arm64
devicenames = dumpling cheeseburger

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - oneplus6:
##*     model  : OnePlus 6 / 6T
##*     note   : ""
##*     images :
##*       - name   : OnePlus 6 / 6T (OxygenOS Twelve)
##*         id     : oneplus6
##*         os     : twelve
##*         status : Stable
##*         rootfs : full
##*         note   : >-
##*                  Important: Install Disable_Dm-Verity_ForceEncrypt<br>
##*                  Important: Update NetHunter app after flashing

# OnePlus6 OxygenOS
[oneplus6]
author = "kimocoder"
arch = arm64
flasher = anykernel
modules = 1
block = /dev/block/bootdevice/by-name/boot
slot_device = 1
#* Note: when using "anykernel" flasher, use commas to separate device names
devicenames = oneplus6,op6,oneplus6t,op6t,enchilada,fajita,OnePlus6,OnePlus6T
#* If the installer cannot identify the resolution automatically, specify it here
resolution = 1080x2340

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - oneplus7-oos:
##*     model  : OnePlus 7 / 7 Pro / 7T / 7T Pro
##*     note   : ""
##*     images :
##*       - name   : OnePlus 7 / 7 Pro / 7T / 7T Pro (Eleven)
##*         id     : oneplus7-oos
##*         os     : eleven
##*         status : Stable
##*         rootfs : full
##*         doco   : "https://www.kali.org/docs/nethunter/installing-nethunter-on-the-oneplus-7/"
##*         note   : >-
##*                  Important: Update NetHunter app after flashing

# OnePlus7 OxygenOS
[oneplus7-oos]
author = "re4son & kimocoder & yesimxev"
arch = arm64
flasher = anykernel
modules = 1
block = /dev/block/bootdevice/by-name/boot
slot_device = 1
#* Note: when using "anykernel" flasher, use commas to separate device names
devicenames = OnePlus7,oneplus7,guacamoleb,Guacamoleb,OnePlus7Pro,GM1915,GM1910,guacamole,Guacamole,OnePlus7T,OnePlus7TPro
#* If the installer cannot identify the resolution automatically, specify it here
resolution = 1080x2340

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - oneplus7-all:
##*     model  : OnePlus 7 / 7 Pro / 7T / 7T Pro
##*     note   : ""
##*     images :
##*       - name   : OnePlus 7 / 7 Pro / 7T / 7T Pro (OxygenOS/Custom A11)
##*         id     : oneplus7-all
##*         os     : eleven
##*         status : Stable
##*         rootfs : full
##*         doco   : "https://www.kali.org/docs/nethunter/installing-nethunter-on-the-oneplus-7/"
##*         note   : >-
##*                  Important: Update NetHunter app after flashing

# OnePlus7/T/Pro OxygenOS/Custom A11
[oneplus7-all]
author = "cyberknight777"
arch = arm64
flasher = anykernel
modules = 1
block = /dev/block/bootdevice/by-name/boot
slot_device = 1
#* Note: when using "anykernel" flasher, use commas to separate device names
devicenames = OnePlus7,oneplus7,guacamoleb,Guacamoleb,OnePlus7Pro,GM1915,GM1910,guacamole,Guacamole,OnePlus7T,OnePlus7TPro
#* If the installer cannot identify the resolution automatically, specify it here
resolution = 1080x2340

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - oneplus8-all:
##*     model  : OnePlus 8 / 8T / 8 Pro
##*     note   : ""
##*     images :
##*       - name   : OnePlus 8 / 8T / 8 Pro (Twelve)
##*         id     : oneplus8-all
##*         os     : twelve
##*         status : Stable
##*         note   : >-
##*                  Important: Install Universal Mount SystemRW script<br>
##*                  Important: Update NetHunter app after flashing<br>

# OnePlus 8 / 8T / 8 Pro OxygenOS/Custom A11/A12
[oneplus8-all]
author = "flyP@TR!0T"
arch = arm64
flasher = anykernel
modules = 1
block = /dev/block/bootdevice/by-name/boot
slot_device = 1
#* Note: when using "anykernel" flasher, use commas to separate device names
devicenames = OnePlus8,oneplus8,OnePlus8T,oneplus8t,OnePlus8Pro,oneplus8pro,instantnoodle,instantnoodlep,instantnoodlev,Kebab,kebab,Kebabt,kebabt,Kona,kona
#* If the installer cannot identify the resolution automatically, specify it here
resolution = 1080x2400

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - oneplus-nord:
##*     model  : OnePlus Nord
##*     note   : ""
##*     images :
##*       - name   : OnePlus Nord AC2003 (Eleven)
##*         id     : oneplus-nord
##*         os     : eleven
##*         status : Stable
##*         rootfs : full
##*         note   : >-
##*                  Important: NFC is not working yet.

# OnePlus-Nord OxygenOS
[oneplus-nord]
author = "kimocoder"
arch = arm64
flasher = anykernel
modules = 1
block = /dev/block/bootdevice/by-name/boot
slot_device = 1
#* Note: when using "anykernel" flasher, use commas to separate device names
devicenames = nord,avicii,Nord,oneplusnord,oneplus_nord,oneplus-nord
#* If the installer cannot identify the resolution automatically, specify it here
resolution = 1080x2340


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - oneplusx:
##*     model  : OnePlus X

# OnePlusX for CyanogenMod
[oneplusxcm]
author = "jcadduono"
devicenames = OnePlus onyx OnePlusX oneplusx


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - osprey:
##*     model  : Motorola Moto G

# Motorola Moto G 2015 for LineageOS 14.1 & 15.1
[osprey]
author = "rajeshdubey293"
kernelstring = "NetHunter kernel for Motorola Moto G 2015"
devicenames = osprey
block = /dev/block/bootdevice/by-name/boot


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - payton:
##*     model  : Motorola Moto X4

# Motorola Moto X4
[payton-los]
author = "yesimxev"
kernelstring = "NetHunter kernel for Motorola Moto X4"
arch = arm64
block = /dev/block/bootdevice/by-name/boot
#* Note: when using "anykernel" flasher, use commas to separate device names
devicenames = payton
flasher = anykernel


#############################################################
## ------------------------------------------------------- ##
##* - pdx201-los:
##*     model  : Sony Xperia 10 II

# Sony Xperia 10 II
[pdx201-los]
author = "gibait"
kernelstring = "NetHunter kernel for Xperia 10 II"
arch = arm64
flasher = anykernel
#* Note: when using "anykernel" flasher, use commas to separate device names
devicenames = pdx201,XQ-AU52,seine


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - pl2:
##*     model  : Nokia 6.1
##*     note   : ""
##*     images :
##*       - name   : Nokia 6.1 (LineageOS 20)
##*         id     : pl2
##*         os     : thirteen
##*         status : Stable
##*         rootfs : minimal
##*         doco   : "https://forum.xda-developers.com/t/rom-official-kali-nethunter-for-the-nokia-6-1-los18-1.4330657/"
##*         note   : "Important: Built with minimal rootfs. Full is not supported."

# Nokia 6.1 for LineageOS 18.1 & 20
[pl2]
author = "yesimxev"
arch = arm64
#* Note: when using "anykernel" flasher, use commas to separate device names
devicenames = PL2,PL2_sprout
block = /dev/block/bootdevice/by-name/boot
flasher = anykernel
modules = 1
slot_device = 1


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - potter:
##*     model  : Motorola Moto G5 Plus

# Motorola Moto G5 Plus LineageOS 14.1
[potter-nougat]
author = "chankruze"
kernelstring = "NetHunter kernel for Motorola Moto G5 Plus"
arch = armhf
devicenames = potter potter_retail
block = /dev/bloc/bootdevice/by-name/boot

# Motorola Moto G5 Plus LineageOS 16
[potter]
author = "rajeshdubey293"
kernelstring = "NetHunter kernel for Motorola Moto G5 Plus"
arch = arm64
devicenames = potter potter_retail
block = /dev/bloc/bootdevice/by-name/boot


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - rmx1911:
##*     model  : Realme 5/5i/5s

[rmx1911]
author = "Mikhail Simon"
version = "1.0"
arch = arm64
flasher = anykernel
modules = 0
block = /dev/block/bootdevice/by-name/boot
slot_device = 0
#* Note: when using "anykernel" flasher, use commas to separate device names
devicenames = RMX1911,RMX1925,RMX1927,RMX2030


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - rmx1971:
##*     model  : Realme 5 Pro

[rmx1971]
author = "Aliyan"
arch = arm64
flasher = anykernel
modules = 0
block = /dev/block/bootdevice/by-name/boot
slot_device = 0
#* Note: when using "anykernel" flasher, use commas to separate device names
devicenames = RMX1971,RMX1971CN,RMX1971EX

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - rmx2185:
##*     model  : Realme C15 Mediatek
##*     note   : ""
##*     images :
##*       - name   : Realme C15 (ten)
##*         id     : rmx2185
##*         os     : ten
##*         status : Latest
##*         rootfs : nano
##*         note   : "This is Test (bug MTP)"

[rmx2185]
author = "Frostleaft07"
arch = arm64
version = "1.0"
flasher = anykernel
kernelstring = "NetHunter kernel for Realme C15 by Frostleaft07"
modules = 1
block = /dev/block/platform/bootdevice/by-name/boot
slot_device = 0
#* Note: when using "anykernel" flasher, use commas to separate device names
devicenames = RMX2185
#* If the installer cannot identify the resolution automatically, specify it here
resolution = 720x1600

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - s2:
##*     model  : LeEco Le 2

# LeEco Le 2
[s2]
author = "Rishabh Rao"
kernelstring = "NetHunter Kernel For LeEco Le 2"
arch = arm64
block = /dev/block/bootdevice/by-name/boot


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - sakura:
##*     model  : Xiaomi Redmi 6 Pro

#Xiaomi Redmi 6 Pro
[sakura]
author = "dek0der"
devicename = "sakura"
kernelstring = "NetHunter kernel for Xiaomi Redmi 6 Pro by dek0der"
arch = arm64
block = /dev/block/bootdevice/by-name/boot


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - santoni:
##*     model  : Xiaomi Redmi 4X

# Xiaomi Redmi 4X For MIUI
[santoni-miui]
author = "jiyili"
devicename = "santoni"
kernelstring = "NetHunter Kernel For Xiaomi Redmi 4X"
arch = arm64
block = /dev/block/mmcblk0p21

# Xiaomi Redmi Note 4X For Pixel Experience 11
[mido-pe11]
author = "linlinger"
devicename = "mido"
kernelstring = "NetHunter Kernel For Xiaomi Redmi Note 4X"
arch = arm64
block = /dev/block/mmcblk0p21


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - shamu:
##*     model  : Nexus 6
##*     note   :
##*     images :
##*       - name   : Nexus 6 (LineageOS 16.0)
##*         id     : shamucm
##*         os     : pie
##*         status : Latest
##*         rootfs : full

# Nexus 6
[shamu]
author = "Binkybear"
devicenames = shamu
block = /dev/block/platform/msm_sdcc.1/by-name/boot

# Nexus 6 for LineageOS 14.1 & 16
[shamucm]
author = "discipuloosho & Re4son"
devicenames = shamu
block = /dev/block/platform/msm_sdcc.1/by-name/boot


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - shieldtablet:
##*     model  : nVidea Shield Tablet

# nVidia Shield Tablet
[shieldtablet]
author = "jcadduono (5.1-6.0) & SecurityAddicted (7.0+)"
devicenames = shieldtablet tn8

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - spacewar:
##*     model  : Nothing Phone (1)

# Nothing Phone (1)
[spacewar]
author = "kimocoder"
arch = arm64
#* Note: when using "anykernel" flasher, use commas to separate device names
devicenames = A063,a063,spacewar,Spacewar
block = boot
flasher = anykernel
modules = 1
slot_device = 1

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - star2lte:
##*     model  : Samsung Galaxy S9+ star2lte

# Samsung Galaxy S9+ star2lte  for LineageOS
[star2lte-los]
author = "mylezgoose"
kernelstring = "NetHunter Kernel for the Samsung Galaxy S9+ star2lte (Exynos9810)"
devicenames = samsung_exynos9810 star2lte SM-G965F exynos9810 Galaxy S9+ star2lte-los
is_slot_device=0
arch = arm64

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - suzuran:
##*     model  : Sony Xperia Z5 Compact

# Sony Xperia Z5 Compact
[suzuran]
author = "Re4son"
arch = arm64
devicenames = suzuran
block = /dev/block/mmcblk0p29


#############################################################
## ------------------------------------------------------- ##
##* - ticwatchpro:
##*     model  : TicWatch Pro / Pro 4G/LTE / Pro 2020
##*     note   : ""
##*     images :
##*       - name   : TicWatch Pro / Pro 4G/LTE / Pro 2020 (Wear OS)
##*         id     : ticwatchpro
##*         os     : wearos
##*         status : Stable
##*         rootfs : nano
##*         doco   : "https://www.kali.org/docs/nethunter/installing-nethunter-on-the-ticwatch-pro/"
##*         note   : "Uses nano fs"

# TicWatch Pro for WearOS
[ticwatchpro]
author = "yesimxev"
arch = armhf
devicenames = catfish catfish-ext catshark
block = /dev/block/bootdevice/by-name/boot

#############################################################
## ------------------------------------------------------- ##
##* - ticwatchpro3:
##*     model  : TicWatch Pro 3 GPS / Pro 3 LTE / Pro 3 Ultra GPS / Pro 3 Ultra LTE
##*     note   : ""
##*     images :
##*       - name   : TicWatch Pro 3 GPS / Pro 3 LTE / Pro 3 Ultra GPS / Pro 3 Ultra LTE
##*         id     : ticwatchpro3
##*         os     : wearos
##*         status : Stable
##*         rootfs : nano
##*         doco   : "https://www.kali.org/docs/nethunter/installing-nethunter-on-the-ticwatch-pro3/"
##*         note   : "Uses nano fs"

# TicWatch Pro 3 for WearOS
[ticwatchpro3]
author = "yesimxev"
arch = armhf
#* Note: when using "anykernel" flasher, use commas to separate device names
devicenames = rubyfish,rover
block = /dev/block/bootdevice/by-name/boot
flasher = anykernel

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - us9xx:
##*     model  : LG V20 US Version

# LG V20 (US Unlocked)
[us996]
author = "jcadduono"
arch = arm64
devicenames = us996 LG-US996


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - vayu:
##*     model : POCO X3 Pro

# Poco X3 Pro
[vayu]
author = "cyberknight777"
arch = arm64
devicenames = vayu bhima
block = /dev/block/platform/soc/1d84000.ufshc/by-name/boot
modules = 1
slot_device = 1


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - victara:
##*     model  : Moto X2

# Moto X2 (2014)
[victara]
author = "DSR!"
arch = armhf
devicenames = victara

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - eva:
##*     model  : Huawei P9

# Huawei P9
[eva]
author = "vvvbbbcz"
devicenames = "eva"
kernelstring = "NetHunter Kernel For Huawei P9"
arch = arm64

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - vienna:
##*     model  : Huawei P9 Plus

# Huawei P9 Plus
[vienna]
author = "5h4d0wb0y"
devicenames = "vienna"
kernelstring = "NetHunter Kernel For Huawei P9 Plus"
arch = arm64


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - yuga:
##*     model  : Sony Xperia Z

# Sony Xperia Z
[yuga]
author = "Daedroza"
devicenames = yuga


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - z00e:
##*     model  : Asus Zenfone 2 Laser

# Asus Zenfone 2 Laser (720p)
[z00e]
author = "adrenogamer"
kernelstring = "NetHunter CM-based kernel"
arch = arm64
ramdisk = gzip
block = /dev/block/bootdevice/by-name/boot
devicenames = Z00E Z00R Z00E_2 Z00RD Z00ED


#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - zeroflte:
##*     model  : Samsung Galaxy S6
##*     note   :

# Galaxy S6 for LineageOS (International Exynos)
[zeroflte]
author = "XXH3X"
arch = arm64
devicenames = zeroflte zerofltexx

# Galaxy S6 for TouchWiz (International Exynos)
[zeroflte-tw]
author = "XXH3X"
arch = arm64
devicenames = zeroflte zerofltexx

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - zerolte:
##*     model  : Samsung Galaxy S6 Edge
##*     note   :
##*     images :
##*       - name   : Samsung Galaxy S6 Edge (Nougat)
##*         id     : zerolte
##*         os     : nougat
##*         status : Stable
##*         rootfs : full

# Galaxy S6 Edge for LineageOS (International Exynos)
[zerolte]
author = "XXH3X"
arch = arm64
devicenames = zerolte zeroltexx

# Galaxy S6 Edge for TouchWiz (International Exynos)
[zerolte-tw]
author = "XXH3X"
arch = arm64
devicenames = zerolte zeroltexx

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - j5lte:
##*     model  : Samsung Galaxy J5 LTE (2015)

# Galaxy J5 LTE (2015) for LineageOS
[j5lte]
author = "djkido316"
arch = arm
kernelstring = "NetHunter_Kernel-J5"
devicenames = j5lte

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - j5nlte:
##*     model  : Samsung Galaxy J5 NFC LTE (2015)

# Galaxy J5 NFC LTE (2015) for LineageOS
[j5nlte]
author = "djkido316"
arch = arm
kernelstring = "NetHunter_Kernel-J5"
devicenames = j5nlte

#############################################################
#############################################################
## ------------------------------------------------------- ##
##* - j53g:
##*     model  : Samsung Galaxy J5 3G (2015)

# Galaxy J5 3G (2015) for LineageOS
[j53g]
author = "djkido316"
arch = arm
kernelstring = "NetHunter_Kernel-J5"
devicenames = j53g

